<template>
  <div>
    <b-icon-info-circle-fill
      id="popover-target-1"
      variant="info"
      class="iconInfo"
    />
    <b-popover target="popover-target-1" triggers="hover" placement="top">
      <template v-slot:title>Pedidos de Consumidores</template>
      El objetivo de esta pantalla es abastecer a los consumidores de tus
      regiones asignadas, para ello sigue los siguientes pasos:
      <br />
      <b>1-Filtra por Región</b>: Haciendo click en el botón de región se abrira
      un desplegable con tus regiones asignadas, busca y selecciona por las que
      quieres filtrar.
      <br />
      <b>2-Selecciona un pedido</b>: Haciendo click en un pedido de la lista, se
      desplegara el resto de la pantalla, donde aparecera, la ficha resumen de
      la operación, y un listado de los inventarios disponibles para ese pedido
      <br />
      <b>3-Selecciona inventarios</b>: Haciendo click en cada inventario y
      rellenando el formulario que aparecerá, crearas envios para completar el
      pedido
      <br />
      <b>4-Envia los recursos</b>: Haz click en enviar para realizar los envios
      <br />
    </b-popover>
    <b-row class="ml-3">
      <h2>Pedidos de Consumidores</h2>
    </b-row>
    <MapPanel :request_list_lock_filters="{ consumer__role: ROLE_CONSUMER }" />
  </div>
</template>

<script>
import { ROLE_CONSUMER } from "@/utils/role.js";
import MapPanel from "@/components/MapPanel";

export default {
  name: "consumer-panel-view",
  components: {
    MapPanel
  },
  data() {
    return {
      ROLE_CONSUMER: ROLE_CONSUMER
    };
  }
};
</script>

<style lang="scss">
.iconInfo {
  position: absolute;
  right: 0px;
  top: 5px;
  font-size: 20px;
}
</style>
